onEvent('recipes', e => {

  e.custom({
    "type": "botania:mana_infusion",
    "input": {
      "tag": 'minecraft:logs'
    },
    "output": {
      "item": 'botania:livingwood'
    },
    "mana": 500
  })

  e.custom({
    "type": "botania:mana_infusion",
    "input": {
      "item": 'tconstruct:crafting_station'
    },
    "output": {
      "item": 'astralsorcery:altar_discovery'
    },
    "mana": 15000
  })

  e.custom({
    "type": "botania:mana_infusion",
    "input": {
      "tag": 'forge:stone'
    },
    "output": {
      "item": 'botania:livingrock'
    },
    "mana": 500
  })

  e.custom({
    "type": "botania:mana_infusion",
    "input": {
      "item": 'minecraft:nether_wart'
    },
    "output": {
      "item": 'minecraft:crimson_roots'
    },
    "mana": 500
  })

  e.custom({
    "type": "botania:mana_infusion",
    "input": {
      "item": 'minecraft:ender_eye'
    },
    "output": {
      "item": 'tconstruct:ender_slime_tall_grass'
    },
    "mana": 500
  })

})